#### PyKDE - Python Bindings for KDE

# class KParts.WindowArgs

Table of contents
Modules
kparts Classes
All Classes

Module | kparts
Class | KParts.WindowArgs
Inherits |

### methods

- WindowArgs ()

  returns a WindowArgs instance

- WindowArgs (args)

  returns a WindowArgs instance

  Argument | Type | Default
  --- | --- | ---
  args | KParts.WindowArgs |

- WindowArgs (_geometry, _fullscreen, _menuBarVisible, _toolBarsVisible, _statusBarVisible, _resizable)

  returns a WindowArgs instance

  Argument | Type | Default
  --- | --- | ---
  _geometry | QRect |
  _fullscreen | bool |
  _menuBarVisible | bool |
  _toolBarsVisible | bool |
  _statusBarVisible | bool |
  _resizable | bool |

- WindowArgs (_x, _y, _width, _height, _fullscreen, _menuBarVisible, _toolBarsVisible, _statusBarVisible, _resizable)

  returns a WindowArgs instance

  Argument | Type | Default
  --- | --- | ---
  _x | int |
  _y | int |
  _width | int |
  _height | int |
  _fullscreen | bool |
  _menuBarVisible | bool |
  _toolBarsVisible | bool |
  _statusBarVisible | bool |
  _resizable | bool |

### variables

- variables

  Variable | Type
  --- | ---
  d | WindowArgsPrivate*
  fullscreen | bool
  height | int
  lowerWindow | bool
  menuBarVisible | bool
  resizable | bool
  statusBarVisible | bool
  toolBarsVisible | bool
  width | int
  x | int
  y | int